Skip to main content
GET
Search Single Contact

Authorizations

api_key
string
header
required

Your Lusha API key. You can find this in your Lusha dashboard under API settings.

Include this key in the api_key header for all requests.

Query Parameters

firstName
string

The first name of the person

lastName
string

The last name of the person

personId
string

The unique person identifier in Lusha

companyName
string

The name of the company the person works at

companyDomain
string

The domain name of the company

email
string

The email address of the person

linkedinUrl
string

The LinkedIn URL of the person

refreshJobInfo
boolean
default:false

Set to true to refresh and update the job details for the person. This ensures that outdated job information is replaced with the most recent data.

filterBy
enum<string>

Filters results based on specific contact details. Available options:

  • phoneNumbers: Only return contacts with phone numbers
  • emailAddresses: Only return contacts with email addresses

By default, results will include contacts with at least one contact detail.

Available options:
phoneNumbers,
emailAddresses
revealEmails
boolean
default:true

Set revealEmails=true to retrieve only the email address of the contact.

revealPhones
boolean
default:true

Set revealPhones=true to retrieve only the phone number of the contact.

signals
enum<string>[]

Array of signal types to retrieve for the contact.

  • allSignals: All available signal types
  • promotion: Promotion signals
  • companyChange: Company change signals
Available options:
allSignals,
promotion,
companyChange
signalsStartDate
string<date>

Start date for signal retrieval in YYYY-MM-DD format. Defaults to 6 months ago if not specified.

partialProfile
boolean
default:false

Search for a single contact with the option to receive a partial profile.

Response

Successfully found contact information

contact
object
required

The contact response object